.collapse {
  @import '../../../themes/variables/color';
  @import '../../../themes/mixins/icon';
  @import '../../../themes/mixins/compatibility';
  @import '../../../themes/mixins/adaptive';

  /* collapse label */
  .collapse-label {
    display: flex;
    align-items: flex-start;

    /* Chống double tap để zoom trên mobile, làm delay khi click something */
    touch-action: manipulation;

    .label-wrapper {
      width: calc(100% - 1.6rem);

      &.static {
        width: 100%;
      }
    }

    .arrow-icon {
      @include icon-size(1.6rem);
      @include transition(transform 0.65s ease-in-out);
      @include transform(rotate(-90deg));

      align-self: flex-start;
      margin-top: 1.6rem;
      margin-left: auto;
    }

    &.hide {
      //
    }

    &.show {
      .arrow-icon {
        @include transform(rotate(-270deg));
      }
    }
  }

  /* collapse container */
  .collapse-container {
    background-color: $white;

    overflow: hidden;

    &.hide {
      @include transition(max-height 1s ease-in-out);

      max-height: 0;
    }

    &.show {
      @include transition(max-height 1.6s ease-in-out);

      max-height: 70rem;
    }
  }
}
